org.gjt.sp.jedit.gui.statusbar

## Class ClockWidgetFactory

- java.lang.Object
- - org.gjt.sp.jedit.gui.statusbar.ClockWidgetFactory

- All Implemented Interfaces:
    StatusWidgetFactory

      public class ClockWidgetFactory
      extends java.lang.Object
      implements StatusWidgetFactory

  Since:
    jEdit 4.3pre14

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClockWidgetFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Widget` | `getWidget(View view)` returns an instance of Widget for the given view

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClockWidgetFactory

          public ClockWidgetFactory()

  - ### Method Detail

    - #### getWidget

          public Widget getWidget(View view)

      Description copied from interface: `StatusWidgetFactory`
      returns an instance of Widget for the given view
      Specified by:
        `getWidget` in interface `StatusWidgetFactory`
      Parameters:
        `view` - the view to which the created widget will belong
      Returns:
        a widget instance